Family Care - Bug #2366

Dues and Debts management [ third step (000000 000000)
02/04/2021 02:05 PM - Saja Nakhleh
Normal

Dues and Debts management

Issue #1:
any invalid attachment should be refused
and the error message will be occurred

Issue #2:
financial data should preview the
financial data report

Issue #3:

a. actions drop down list: if the user does
not use these actions, they should be
hidden as they are not working fine !

b. claim: while the claim action is
available all the other actions should be

Start date:

Due date:

% Done:
Spent time:

Actual Result:

Environment:
Browser:
Test Case ID:
100%
0.00 hour
0.00 hour

Issue #1:

any invalid attachment should be refused
and the error message will be occurred.
evidence 64.gif

Issue #2:
an empty pdf file will be opened !
evidence 65.gif

Issue #3:

a. actions drop down list is shown
although the user does not use them

b. claim: claim action is shown beside all
the other actions which is contradicting a
major requirement (real scenario and core
feature)

Issue #4:
the attachments will be lost

Issue #5:

the value length is NOT validated and
once the approve action is clicked the
action 000000 00 will be disabled on the
occurred dialog message. Observe
evidence 66.gif

Issue #6

the task will keep opening and once the
approve action is clicked again an error
will be occurred

Development
hidden till it's clicked

Issue #4:

all the fields values should saves their
data if the claim action will be kept as
current behavior

Issue #5:

the dev manager decision field should
validate the values length and trim the
value to the maximum allowed length

Issue #6:
the task should be closed and hidden
from the (dev manager) tasks

Description

Issue #1:
1. reject a (Dues and Debts management) task to reach the financial employee step
2. navigate to the (attachments) tab and add any invalid file

Issue #2:

1. reject a (Dues and Debts management) task to reach the financial employee step
3. Click the action financial data

4. Observe the opened file

Issue #3:

1. reject a (Dues and Debts management) task to reach the financial employee step
2. Open the task by the financial employee user

3. Observe the available actions

Issue #4:

1. reject a (Dues and Debts management) task to reach the financial employee step
2. fill all the fields and attachments

3. Click Claim

Issue #5:
1. reject a (Dues and Debts management) task to reach the financial employee step

2. fill the text fields (U00000 000000 00DOO) (D0O0ODDO 0O0ODD) (O0DOOOOD DOODOOOY
by very long data (attached in the file 1000char.txt)

Issue #6:

1. reject a (Dues and Debts management) task to reach the financial employee step
2. Open the task by the financial employee user

3. set the financial employee decision

4. click submit

History

#1 - 02/09/2021 10:35 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Shadi Abuomar

#2 - 02/14/2021 01:09 PM - Shadi Abuomar
- Status changed from Open to Fixed
- Environment Development added

- Environment deleted (QA)
#3 - 02/15/2021 12:22 PM - Mohannad Sabra
- Status changed from Fixed to Feedback

- Assignee changed from Shadi Abuomar to Saja Nakhleh
- % Done changed from 0 to 100

#4 - 04/21/2021 04:25 PM - Saja Nakhleh

06/06/2025
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/6

A show stopper reported in report #2363 is preventing this report to be tested

#5 - 04/25/2021 03:19 PM - Saja Nakhleh
- Assignee changed from Saja Nakhleh to Shadi Abuomar

Issue #1:
tested and verified.

ISsue #2:
tested and verified.

Issue #3:
a. tested and verified.
b. reported in another bug

Issue #4:
still duplicated, the behavior should be same for both tabs (searsher decision and attachments), whatever the behaviour is

Issue #5:
tested and verified.

Issue #6:
tested and verified.

#6 - 04/26/2021 12:51 PM - Shadi Abuomar
- Assignee changed from Shadi Abuomar to Saja Nakhleh

Kindly Note that Issue #4 not doable because attachments retried from database and only save on DB in submit action only.

#7 - 04/27/2021 02:37 PM - Saja Nakhleh
- Status changed from Feedback to Closed

Issue #4:
as discussed with Muhannad; the issue should be resolved once the claim action behavior is edited and fixed.
so it will be kept as is right now

Files

1000 char.txt 1.56 KB 02/04/2021 Saja Nakhleh
64.GIF 255 KB 02/04/2021 Saja Nakhleh
65.GIF 175 KB 02/04/2021 Saja Nakhleh
66.GIF 329 KB 02/04/2021 Saja Nakhleh
